from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XTheme(Protocol):
    def getName(self) -> str: ...
    def getColorSet(self) -> list[Color]: ...
